Subject: Re: [PATCH net-next v14 0/7] bonding: Extend arp_ip_target format to allow for a list of vlan tags.

From: Jay Vosburgh <[email-masked]>
Date: Fri, 24 Oct 2025 20:44:50 -0700

Jakub Kicinski <[email-masked]> wrote:

>On Wed, 22 Oct 2025 11:25:27 -0700 David Wilder wrote:
>> The current implementation of the arp monitor builds a list of vlan-tags by
>> following the chain of net_devices above the bond. See bond_verify_device_path().
>> Unfortunately, with some configurations, this is not possible. One example is
>> when an ovs switch is configured above the bond.
>
>Once again if anyone thinks this belongs in the kernel please speak up.
>Otherwise let this be the last posting.
>
>*If* someone does speak up in support you will need to find a less ugly
>way to represent the attribute within Netlink. What you invent must work
>in YNL and be added to the spec (Documentation/netlink/specs/rt-link.yaml)
>-- 
>pw-bot: cr

	Sorry, didn't have a chance to catch up until now.  I gave this
a read through again, and I have mixed feelings about it.

	I understand the problem they're trying to solve, which is
largely an artifact of the way OVS kind of lives off to the side and
does its own thing.  And, yes, there are a bunch of other things (tc,
ebpf, et al) that can arbitrarily tweak VLAN tags in a packet.

	That said, it's kind of a niche use case, and it's adding what
feels to me like an awkward API and its related infrastructure that will
have to be maintained forever.  Bonding already has baggage from things
that seemed like a good idea at the time, but ultimately weren't, so I'm
reluctant to add something like this for a niche case.

	-J

---
	-Jay Vosburgh, [email-masked]